import json
import requests
from api_auth import APICredentials, APIParams

class FailoverGroup:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        self._toggle_source_feed()

    def _toggle_source_feed(self):
        failover_group_id = 'e8d6b5cb940c40cc9ec6ad081a38f3f0'
        url = "{}{}{}{}".format(self.host, "/api/v4/failover-groups/", failover_group_id, "/set_no_slicer")

        payload = {
            'no_slicer': True
        }

        headers = {'Content-Type': 'application/json'}
  
        response = requests.put(
            url, params=APIParams(APICredentials()).get_params({}), data=json.dumps(payload), headers=headers
        )
  
        print(response.status_code)
  
FailoverGroup().run()